Class CopyBatchBuilder

java.lang.Object
com.dropbox.core.v2.files.CopyBatchBuilder

public class CopyBatchBuilder extends Object
The request builder returned by DbxUserFilesRequests.copyBatchBuilder(java.util.List<com.dropbox.core.v2.files.RelocationPath>).

Use this class to set optional request parameters and complete the request.

  • Method Details

    • withAutorename

      public CopyBatchBuilder withAutorename(Boolean autorename)
      Set value for optional field.

      If left unset or set to null, defaults to false.

      Parameters:
      autorename - If there's a conflict with any file, have the Dropbox server try to autorename that file to avoid the conflict. Defaults to false when set to null.
      Returns:
      this builder
    • withAllowSharedFolder

      @Deprecated public CopyBatchBuilder withAllowSharedFolder(Boolean allowSharedFolder)
      Deprecated.
      Set value for optional field.

      If left unset or set to null, defaults to false.

      Parameters:
      allowSharedFolder - Field is deprecated. This flag has no effect. Defaults to false when set to null.
      Returns:
      this builder
    • withAllowOwnershipTransfer

      public CopyBatchBuilder withAllowOwnershipTransfer(Boolean allowOwnershipTransfer)
      Set value for optional field.

      If left unset or set to null, defaults to false.

      Parameters:
      allowOwnershipTransfer - Allow moves by owner even if it would result in an ownership transfer for the content being moved. This does not apply to copies. Defaults to false when set to null.
      Returns:
      this builder
    • start

      Issues the request.
      Throws:
      DbxApiException
      DbxException